<form method='post'
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_aboutme' section=section id=aidi %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_aboutme' section=section %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="id" value="{{ aidi }}">
    {% endif %}
    <input type="hidden" name="section" value="{{section}}"> 
    <input type="hidden" name="jenis" value="child">
    <input type="hidden" name="youtube" value="-">
    <div class="form-group">
        <label for="{{ form.judul.id_for_label }}">Judul</label>
        <input type="text" placeholder="Masukkan Judul..."
            class="form-control {% if form.judul.errors %}is-invalid{% endif %}"
            name="{{ form.judul.name }}"
            id="{{ form.judul.id_for_label }}" 
            maxlength="{{ form.judul.field.max_length }}"
            {% if edit %}
                {% if form.judul.value != None %}value="{{ form.judul.value|stringformat:'s' }}"{% endif %}
            {% else %}
                value=""
            {% endif %}
            {% if form.judul.field.required %}required{% endif %} >
        {% if form.judul.errors %}
            <div class="invalid-feedback">
                {{ form.judul.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.deskripsi.id_for_label }}">Deskripsi</label>
        <textarea 
            class="form-control {% if form.deskripsi.errors %}is-invalid{% endif %}" 
            id="{{ form.deskripsi.id_for_label }}" 
            name="{{ form.deskripsi.name }}"
            maxlength="{{ form.deskripsi.field.max_length }}"
            {% if form.deskripsi.field.required %}required{% endif %}
            rows="3">{% if edit %}{% if form.deskripsi.value != None %}{{ form.deskripsi.value|stringformat:'s' }}{% endif %}{% endif %}</textarea>
        {% if form.deskripsi.errors %}
            <div class="invalid-feedback">
                {{ form.deskripsi.errors }}
            </div>
        {% endif %}
    </div>

    <!-- <div class="form-group">
        <label for="{{ form.icon.id_for_label }}">Icon</label>
        <div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text">
                    <i id="img_icon" 
                    {% if edit %}
                        {% if form.icon.value != None %}class="{{ form.icon.value }}"{% endif %}
                    {% else %}
                        class="bx bxs-x-circle"
                    {% endif %}></i>
                </span>
            </div>
            <input type="text" placeholder="Masukkan Kode Icon..." readonly
                class="form-control {% if form.icon.errors %}is-invalid{% endif %}"
                name="{{ form.icon.name }}" id="{{ form.icon.id_for_label }}"
                aaria-describedby="basic-addon2"
                maxlength="{{ form.icon.field.max_length }}"
                {% if edit %}
                    {% if form.icon.value != None %}value="{{ form.icon.value|stringformat:'s' }}"{% endif %}
                {% else %}
                    value=""
                {% endif %}
                {% if form.icon.field.required %}required{% endif %}>
            <div class="input-group-append">
                <button class="btn btn-primary" type="button"
                    onclick="get_modal_icon('{{ form.icon.id_for_label }}','{{section}}')">
                    <i class="bi bi-search"></i>
                </button>
            </div>
            {% if form.icon.errors %}
            <div class="invalid-feedback">
                {{ form.icon.errors }}
            </div>
        {% endif %}
        </div>
    </div> -->

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>

